Subject: RE: [mobile-ip] NAI Extension - implementation questions

From: "Narjala, Ranjit S" <[email-masked]>
Date: Thu, 14 Feb 2002 15:56:58 -0800

Oops, I apologize for the mistake in the name - I meant Alpesh.
I'm sorry.

-----Original Message-----
From: Narjala, Ranjit S [mailto:[email-masked]]
Sent: Thursday, February 14, 2002 3:40 PM
To: [email-masked]'
Subject: RE: [mobile-ip] NAI Extension - implementation questions

Alper, 

Thanks a lot for your suggestions!
My comments are below, within <Ranjit> & <\Ranjit>.

Regards,
- Ranjit

-----Original Message-----
From: Alpesh S. Patel [mailto:[email-masked]]
Sent: Thursday, February 14, 2002 2:18 PM
To: [email-masked]
Subject: Re: [mobile-ip] NAI Extension - implementation questions

Ranjit,
Inserts:

"Narjala, Ranjit S" wrote:

> All,
>
> We have been trying to implement the NAI extension for MIPv4 as per RFC
> 2794, but have run into a few fundamental questions. Please do let me know
> if these questions have already been asked (and answered) before. I would
> appreciate any help/pointers. Thanks in advance!
>
> Question 1
> ---------------
> Consider the case when a mobile node (MN) is statically configured with
its
> home address, and does not require the NAI extension to obtain one. If
this
> MN starts up on its home subnet, its default behaviour will be to
> de-register with the HomeAgent (HA) using its home address (which will
kill
> all the bindings on the HA for this MN).
>
> Now consider the case when an MN is not statically configured with its
home
> address, and needs to use the NAI extension to obtain one. If this MN
starts
> up in its home subnet (meaning it has not yet had a chance to use the NAI
> extension to acquire a home address from the HomeAgent (HA)), what is its
> expected behavior?
>
> The MN must deregister with the HA, but also needs to obtain its home
> address from the HA. How does it achieve this?
>
> a) Can the MN de-register with the HA, setting the home address field in
the
> RREQ to 0.0.0.0, and include an NAI extension in the RREQ to obtain a home
> address? Will the HA correctly process the de-registration request using
the
> MN's NAI, and return a home address to use in the registration reply?
> b) If not, what would be the appropriate behaviour?
>

When MN first comes, it needs to register before it deregisters. Thus, it
should
to
register with home addr == 0 and NAI.

< Ranjit >
In that case, the source IP address of the 1st registration will have to be
the DHCP address (colocated) that the MN got on the home subnet.
Once the MN gets the home address via the 1st registration, it can then
procedd to deregister (the source IP address of the packet will now be the
MN's home address).

This is assuming the home subnet has DHCP support. This will not work if
there is not DHCP support on the home subnet, right? If the MN does not
acquire a DHCP address on the home subnet, what will it use as the source IP
address in the RREQ packet?
< \Ranjit >

>
> Question 2
> ----------------
> Assume that an MN has successfully obtained its home address using the NAI
> extension, and is currently using this home address (say on a foreign
> subnet). When the MN changes its point of attachment (say to another
foreign
> subnet), and needs to reregister with the HA, should it use the NAI
> extension again in the RREQ, or can it reuse the home address it obtained
> from its previous registration using NAI (seeing that this is the same
> "session", after all)?
>

MN should use its home address and NAI when renewing registration. One
reason (among others) is that the FA may be serving multiple visitors with
same
IP (private) addresses.

< Ranjit >
Since the MN is including a NAI along with the home address in the
registration, could the HA potentially send back a home address (in the
reply) that is different from the one sent by the MN in the registration
request? Or is that possibility ruled out?
< \Ranjit >

These are my thoughts. Please wait to hear back from some client
implementors
too.
-a

> Thanks for your help!
> - Ranjit

---

From: "Alpesh S. Patel" <[email-masked]>
Date: Thu, 14 Feb 2002 17:25:38 -0800

Ranjit,

Inserts:

> address in the RREQ packet?

MN can use source address of 0. Why would there be no DHCP support?

> request? Or is that possibility ruled out?

HA should check if there is an existing binding and if so assign same
address. HA would not give another address.

Again, my own interpretation.
-a